import "@mui-treasury/component-emailsubscribe";
import { emailSubscribeClasses } from "@mui-treasury/component-emailsubscribe";
import { alpha } from "@material-ui/core/styles";
var fontFamily = ["-apple-system", "BlinkMacSystemFont", '"Segoe UI"', "Roboto", '"Helvetica Neue"', "Arial", "sans-serif", '"Apple Color Emoji"', '"Segoe UI Emoji"', '"Segoe UI Symbol"'].join(",");
export var getEmailSubscribeBootstrapStyles = arg => {
  var {
    palette,
    spacing
  } = "theme" in arg ? arg.theme : arg;
  var {
    white
  } = palette.common;
  var inputRadius = "4px";
  var borderWidth = 1;
  var inputPadding = ".375rem .75rem";
  var borderColor = "#ced4da";
  var normalColor = "#80bdff";
  return {
    ["& .".concat(emailSubscribeClasses.input)]: {
      boxSizing: "border-box",
      borderRadius: inputRadius,
      position: "relative",
      backgroundColor: white,
      borderWidth,
      borderColor,
      height: "calc(1.5em + .75rem + 2px)",
      padding: inputPadding,
      transition: "border-color .15s ease-in-out,box-shadow .15s ease-in-out",
      // Use the system font instead of the default Roboto font.
      fontFamily,
      "&:hover": {
        borderColor,
        boxShadow: "none",
        backgroundColor: white
      },
      "&:focus": {
        outline: "none",
        borderRadius: inputRadius,
        borderColor: normalColor,
        backgroundColor: white,
        boxShadow: "0 0 0 0.2rem ".concat(alpha(normalColor, palette.mode === "dark" ? 0.48 : 0.75))
      }
    },
    ["& .".concat(emailSubscribeClasses.submit)]: {
      marginLeft: "0.5rem",
      fontFamily,
      fontSize: "1rem",
      padding: spacing(1, 1.5),
      backgroundColor: "#007bff",
      borderRadius: inputRadius,
      color: "#fff",
      lineHeight: 1.2,
      "&:hover, &:focus": {
        backgroundColor: "#0069d9",
        border: "none"
      }
    }
  };
};
export var getEmailSubscribeBootstrapTheme = theme => {
  return {
    JunEmailSubscribe: {
      styleOverrides: {
        form: getEmailSubscribeBootstrapStyles(theme)
      }
    }
  };
};